#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 48. Standard Generalized Markup Language (SGML)

- Prev

  OpenSP-1.5.2

- Next

  docbook-dsssl-1.79

- Up
- Home

# OpenJade-1.3.2

## Introduction to OpenJade

The OpenJade package contains a DSSSL engine. This is useful for SGML and XML transformations into RTF, TeX, SGML and XML.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/openjade/openjade-1.3.2.tar.gz

- Download MD5 sum: 7df692e3186109cc00db6825b777201e

- Download size: 880 KB

- Estimated disk space required: 19.2 MB

- Estimated build time: 0.7 SBU

### Additional Download

- Required patch: https://www.linuxfromscratch.org/patches/blfs/11.1/openjade-1.3.2-upstream-1.patch

### OpenJade Dependencies

#### Required

OpenSP-1.5.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/openjade

## Installation of OpenJade

First fix problems when building with newer compilers:

    patch -Np1 -i ../openjade-1.3.2-upstream-1.patch

Now fix a compilation problem with perl-5.16 and later:

    sed -i -e '/getopts/{N;s#&G#g#;s#do .getopts.pl.;##;}' \
           -e '/use POSIX/ause Getopt::Std;' msggen.pl

Install OpenJade by running the following commands:

    export CXXFLAGS="${CXXFLAGS:--O2 -g} -fno-lifetime-dse"            &&
    ./configure --prefix=/usr                                \
                --mandir=/usr/share/man                      \
                --enable-http                                \
                --disable-static                             \
                --enable-default-catalog=/etc/sgml/catalog   \
                --enable-default-search-path=/usr/share/sgml \
                --datadir=/usr/share/sgml/openjade-1.3.2   &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install                                                   &&
    make install-man                                               &&
    ln -v -sf openjade /usr/bin/jade                               &&
    ln -v -sf libogrove.so /usr/lib/libgrove.so                    &&
    ln -v -sf libospgrove.so /usr/lib/libspgrove.so                &&
    ln -v -sf libostyle.so /usr/lib/libstyle.so                    &&

    install -v -m644 dsssl/catalog /usr/share/sgml/openjade-1.3.2/ &&

    install -v -m644 dsssl/*.{dtd,dsl,sgm}              \
        /usr/share/sgml/openjade-1.3.2                             &&

    install-catalog --add /etc/sgml/openjade-1.3.2.cat  \
        /usr/share/sgml/openjade-1.3.2/catalog                     &&

    install-catalog --add /etc/sgml/sgml-docbook.cat    \
        /etc/sgml/openjade-1.3.2.cat

## Command Explanations

export CXXFLAGS=...: This command prevents segmentation faults when the package is compiled with gcc-6.1.

make install-man: This command installs the openjade man page.

`--disable-static`: This switch prevents the building of the static library.

`--enable-http`: This switch adds support for HTTP.

`--enable-default-catalog=/etc/sgml/catalog`: This switch sets the path to the centralized catalog.

`--enable-default-search-path`: This switch sets the default value of `SGML_SEARCH_PATH`.

`--datadir=/usr/share/sgml/openjade-1.3.2`: This switch puts data files in `/usr/share/sgml/openjade-1.3.2` instead of `/usr/share`.

ln -v -sf ...: These commands create the Jade equivalents of OpenJade executables and libraries.

## Configuring OpenJade

###

#### Configuration Information

As the `root` user:

    echo "SYSTEM \"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd\" \
        \"/usr/share/xml/docbook/xml-dtd-4.5/docbookx.dtd\"" >> \
        /usr/share/sgml/openjade-1.3.2/catalog

This configuration is only necessary if you intend to use OpenJade to process the BLFS XML files through DSSSL Stylesheets.

## Contents

Installed Programs: openjade and the Jade equivalent symlink, jade
Installed Libraries: libogrove.so, libospgrove.so, libostyle.so, and the Jade equivalent symlinks: libgrove.so, libspgrove.so, and libstyle.so
Installed Directory: /usr/share/sgml/openjade-1.3.2

### Short Descriptions

openjade | is a DSSSL engine used for transformations
jade | is a symlink to openjade

Last updated on

- Prev

  OpenSP-1.5.2

- Next

  docbook-dsssl-1.79

- Up
- Home